#!/usr/bin/env ruby

# math-clone.rb F17/LinearAlgebra F18

require 'fileutils'

prefix = '/Volumes/All/Local/Web/math.columbia.edu/'

def bail (msg)
  puts "\n#{msg}\n\nusage:\n\tmath-clone.rb F17/LinearAlgebra F18"
  exit
end

if ARGV.length != 2
  bail 'wrong number of arguments'
end

old, new = ARGV
old, course = old.split '/'

old_dir = "#{prefix}#{old}/#{course}"
new_dir = "#{prefix}#{new}/#{course}"

if not File.exists? old_dir
  bail "directory doesn't exist:\n\t#{new_dir}"
elsif File.exists? new_dir
  bail "directory already exists:\n\t#{new_dir}"
end

FileUtils.mkdir_p new_dir
FileUtils.copy_entry old_dir, new_dir

puts '', %x{ ls -l #{new_dir} }
