### Combinatorics, Week 2 <br /> February 1, 2017

---

For this meeting, we will review binomial coefficients, then study inclusion/exclusion counting.

The most famous example of inclusion/exclusion is the "hat-check problem",
known more formally as the study of derangements.

The following Wikipedia articles give helpful summaries:

* [Pascal's triangle](https://en.wikipedia.org/wiki/Pascal%27s_triangle)
* [Binomial coefficient](https://en.wikipedia.org/wiki/Binomial_coefficient)
* [Inclusion–exclusion principle](https://en.wikipedia.org/wiki/Inclusion%E2%80%93exclusion_principle)
* [Derangement](https://en.wikipedia.org/wiki/Derangement)

The hat-check problem has its own literature
(Google for many more, and brace yourself for the sexist formulation):

* [1966 Richard Scoville - The Hat-Check Problem](https://www.jstor.org/stable/2315337?seq=1#page_scan_tab_contents)
* [The Old Hats Problem](http://homepages.math.uic.edu/~kauffman/OldHats.pdf)

Our books cover this material:

---

* [2003 Lovasz, Pelikan, Vesztergombi - Discrete mathematics](https://link.springer.com/book/10.1007/b97469)

1 Let's Count!, 2 Combinatorial Tools, and 3 Binomial Coefficients and Pascal's Triangle (pp 1-57)
covers this material in the most detail, at the most leisurely pace, of our various books.

---

* [1983 Pólya, Tarjan, Woods - Notes on Elementary Combinatorics](http://link.springer.com/book/10.1007/978-0-8176-4953-1)

Section 2 (pp 2-10) introduces binomial coefficients, through lattice paths.
Section 4 (pp 32-40) introduces inclusion and exclusion, through derangements.

---

* [2011 Camina, Lewis - An introduction to enumeration](http://link.springer.com/book/10.1007/978-0-85729-600-9)

Chapter 1 What is Enumeration (pp 1-15) introduces both binomial coefficients
and the inclusion-exclusion principle. This book reads as a very clear outline,
with a spare style that leaves the reader to work out details.

---

* [2007 Aigner - A Course in Enumeration](http://link.springer.com/book/10.1007/978-3-540-39035-0)

This is intended as a text for graduate students, yet it is quite readable.
One may prefer its mature style.

1.1 Elementary Counting Principles and 1.2 Subsets and Binomial Coefficients (pp 5-19)
introduce binomial coefficients.
5.1 Inclusion–Exclusion (pp 179-191) introduces inclusion-exclusion.

Aigner includes many examples and exercises. We should consider these as examples to explore
together in class.

----
