### Combinatorics, Week 9 <br /> March 22, 2017

---

For this meeting, we will begin the study of counting with symmetry.

![Triangle Orbits](Triangle-Orbits.jpg)

Here is a representative example: There are 120 (10 choose 3) ways to mark
three of ten circles. However, if the circles are arranged in a triangle as shown above,
and we consider rotations and flips of a pattern to be the same pattern, then there are
only 25 distinct patterns:

* [Triangle Orbits](Triangle-Orbits.pdf)

---

How does one count such problems, in general?

The following Wikipedia
pages are of interest:

* [Burnside's lemma](https://en.wikipedia.org/wiki/Burnside%27s_lemma)
* [Pólya enumeration theorem](https://en.wikipedia.org/wiki/P%C3%B3lya_enumeration_theorem)
* <a href="https://en.wikipedia.org/wiki/Necklace_(combinatorics)">Necklace (combinatorics)</a>

---

The following textbooks cover counting with symmetry, at varying levels.

Chapter 6 Group Actions and Counting (pp 107-121):

* [2011 Camina, Lewis - An introduction to enumeration](http://link.springer.com/book/10.1007/978-0-85729-600-9)

Chapter 6 Polya's Theory of Counting (pp 55-85):

* [1983 Pólya, Tarjan, Woods - Notes on Elementary Combinatorics](http://link.springer.com/book/10.1007/978-0-8176-4953-1)

Chapter 6 Enumeration of Patterns (pp 239-285):

* [2007 Aigner - A Course in Enumeration](http://link.springer.com/book/10.1007/978-3-540-39035-0)

---

I once taught an entry-level course on symmetry; here is a web page on wallpaper patterns:

* [The Seventeen Wallpaper Patterns](https://www.math.columbia.edu/~bayer/symmetry/wallpaper/)

It would be an interesting puzzle to find counting problems related to these infinite groups.
